"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("./rules");
function createServerConfig(entry, outputPath, isProduction) {
    return {
        devtool: "source-map",
        entry,
        mode: isProduction ? "production" : "development",
        module: { rules: rules_1.serverRules },
        name: "server",
        optimization: {
            minimize: false,
            namedChunks: true,
            namedModules: true,
        },
        output: {
            filename: "[name].js",
            libraryTarget: "commonjs2",
            path: outputPath,
            publicPath: "/",
        },
        resolve: {
            alias: {},
            extensions: [".js", ".jsx", ".ts", ".tsx"],
        },
        stats: false,
        target: "node",
    };
}
exports.createServerConfig = createServerConfig;
